Subject: bug#55741: Getting an error when running the Emacs 28.1 binary that I built from source

From: Eli Zaretskii <[email-masked]>
Date: Tue, 31 May 2022 18:58:22 +0300

> Date: Tue, 31 May 2022 13:01:06 +0000
> From:  cinnaroll45 via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> When building Emacs 28.1 on the same system, I use the same config but with the addition of the
> `--with-native-compilation` flag:
> 
> ```bash
> 
> ./autogen.sh
> ./configure --prefix=/home/user/emacs --bindir=/home/user/bin \
>     --with-native-compilation \
>     --with-json --with-gif --with-jpeg --with-png --with-tiff --with-rsvg
> 
> ```
> 
> The build goes without a hitch and the binaries end up in my PATH. However when I try to run the Emacs
> binary, I get the following error:
> 
> `Error using execdir /home/user/emacs/libexec/emacs/28.1/x86_64-pc-linux-gnu/../../../../bin/:
> emacs:
> /home/user/emacs/libexec/emacs/28.1/x86_64-pc-linux-gnu/../../../../bin/../native-lisp/28.1-2120ad00/preloaded/window-0d1b8b93-7ef4271a.eln:
> cannot open shared object file: No such file or directory`

The --bindir switch could be the problem: as you see from the error
message, Emacs 28.1 thinks its binary is in /home/user/emacs/bin, not
in /home/user/bin.  So my suggestion is to reconfigure without the
--bindir switch, as I don't think this is currently supported for the
build with native-compilation.